import { Component } from '@angular/core';
import { AlertController } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})

export class Tab1Page {
  apps = [
    { name: '微信', icon: 'logo-wechat', description: '微信相关教程' },
    { name: '支付宝', icon: 'logo-alipay', description: '支付宝相关教程' },
    { name: '滴滴', icon: 'car', description: '滴滴相关教程' },
    { name: '更多', icon: 'apps', description: '更多相关教程' }
  ];

  searchQuery: string = '';

  openTutorial(app: any) {
    // 在这里处理点击按钮后的逻辑，打开对应类别的教程
    console.log('打开' + app.name + '教程');
  }

  searchCourses() {
    // 在这里处理搜索逻辑
    console.log('搜索教程：' + this.searchQuery);
  }
}