import { Component } from '@angular/core';
import { AlertController } from '@ionic/angular';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {
  currentUser = {
    nickname: 'Alice Smith'
  };

  favoriteTutorials = [
    { title: '微信视频通话', icon: 'chatbubble-ellipses-outline' },
    { title: '支付宝入门教程', icon: 'wallet-outline' }
  ];

  constructor() {}

  viewUserProfile() {
    // 在此处编写查看用户个人信息的逻辑
    console.log('查看用户个人信息');
  }

  viewTutorial(tutorial: { title: string; }) {
    // 在此处编写查看教程详情的逻辑
    console.log('查看教程：' + tutorial.title);
  }

  openFeedbackForm() {
    // 在此处编写打开反馈表单的逻辑
    console.log('打开用户反馈与建议表单');
  }
}